(function() {
	/*
	 * 画像撮影
	 */	
	captureImage = function() {
		applican.capture.captureImage(captureImageSuccess, captureImageError);
	}
	
	/*
	 * 画像撮影成功時のCallback処理
	 */
	function captureImageSuccess(mediaFiles) {
		var dump = "画像の撮影に成功しました。\n";
		for (var i = 0; i < mediaFiles.length; i++) {
			dump += "path:";
			dump += mediaFiles[i].fullPath + "\n";
			document.getElementById("photoImg").src = mediaFiles[i].fullPath;
		}
		document.getElementById("dumpAreaMedia").value = dump;
		alert(dump);
	}
	
	/*
	 * 画像撮影失敗時のCallback処理
	 * err.codeの説明
	 * 	・CaptureError.CAPTURE_INTERNAL_ERR = 0;
	 * 	　カメラまたはマイクが画像または音のキャプチャーに失敗した場合。
	 * 	・CaptureError.CAPTURE_APPLICATION_BUSY = 1;
	 * 	　カメラアプリまたはオーディオ録音アプリが現在他のキャプチャーリクエストを扱っている場合。
	 * 	・CaptureError.CAPTURE_INVALID_ARGUMENT = 2;
	 * 	　API の使用方法が不正であった場合 (例: limit パラメーターの値が1未満である) 。
	 * 	・CaptureError.CAPTURE_NO_MEDIA_FILES = 3;
	 * 	　ユーザーが何もキャプチャーせずにカメラアプリやオーディオ録音アプリを終了した場合。
	 * 	・CaptureError.CAPTURE_NOT_SUPPORTED = 20;
	 * 	　キャプチャー操作のリクエストがサポートされていない場合。
	 */
	function captureImageError(err) {
		var dump = "画像の撮影に失敗しました。\n";
		dump	+= "code:"    + err.code    + "\n";
		dump	+= "message:" + err.message + "\n";
		document.getElementById("dumpAreaMedia").value = dump;
		alert(dump);
	}

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「画像撮影」ボタン押下処理
		document.getElementById("pictureCaptureBtn").addEventListener("touchend", captureImage, false);
	}, false);
})();